=== debian/changelog ===
logserver (1.13.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1122378)

 -- Jesse Rhodes <jesse@sney.ca>  Wed, 31 Dec 2025 10:51:12 -0500
