=== debian/control ===
Source: logserver
Section: utils
Priority: optional
Maintainer: Jesse Rhodes <jesse@sney.ca>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libcatch2-dev,
               libncurses-dev,
               txt2man,
               zlib1g-dev,
Standards-Version: 4.7.3
Homepage: https://codeberg.org/potatocrunchcereal/logserver
Vcs-Browser: https://salsa.debian.org/sney/logserver
Vcs-Git: https://salsa.debian.org/sney/logserver.git

Package: logserver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: advanced log file pager
 Logserver is an advanced pager designed for rapid navigation of large logs.
 It reads from files or stdin and features keyword searching, line breaks for
 better readability, comments, export shortcuts, colour formatting and more.
 .
 Both uncompressed and gzipped text are supported.
