=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# upstream clean target does not remove gzipped man page
execute_after_dh_auto_clean:
	rm -f man/logserver.1.gz

# fix lintian extra-license-file
execute_after_dh_auto_install:
	rm -f debian/logserver/usr/share/doc/logserver/LICENSE
