=== debian/watch ===
Version: 5
Source: https://codeberg.org/potatocrunchcereal/logserver/tags
Matching-Pattern: .*/logserver/archive/v@ANY_VERSION@@ARCHIVE_EXT@
Filename-Mangle: auto
